#ifndef TEXTUREMESH_H
#define TEXTUREMESH_H

#include <GL/glew.h>
#include <GLFW/glfw3.h>

class TextureMesh
{
public:
    TextureMesh();
    TextureMesh(const TextureMesh& orig);
    virtual ~TextureMesh();
    
    void init();
    void addPoint(float x, float y, float z, float tx, float ty);
    void build();
    void draw();
private:
    GLuint vba = 0;
    GLuint vbo = 0;
    
    unsigned int vertices = 0;
    unsigned int dataSize = 3;
    float* data = nullptr;
};

#endif



