#ifndef MATRIX3DSTACK_H
#define MATRIX3DSTACK_H

#include "Matrix3D.h"

class Matrix3DStack
{
public:
    Matrix3DStack();
    Matrix3DStack(const Matrix3DStack& orig);
    virtual ~Matrix3DStack();
    
    void pop();
    void push();
    Matrix3D& get();
private:
    static const int STACK_SIZE = 10;
    Matrix3D stack[STACK_SIZE];
    int index = 0;
};

#endif

